<section class="cash-advance-container">
    <div class="header-label">
        <span class="hr-image">
            <i class="fa fa-money"></i>
        </span>
        <span class="admin-name">Cash Advance Policies</span>
    </div>
    <mat-card>
        <form [formGroup]="cashAdvanceFormGroup">
            <div class="selection-list">
                <ul>
                    <li *ngFor="let selection of selectionArr.controls; let i = index" [formGroup]="selection">
                      <span class="s-no">{{i+1}}</span>
                      <mat-form-field class="sub-list" appearance="standard">
                        <mat-label>Amount Requested</mat-label>
                        <input type="tel" matInput formControlName="requestedMonth" (keyup)="validateMonth(i, 'requestedMonth')" placeholder="Months" required autocomplete="off" />
                      </mat-form-field>
                      <mat-form-field class="sub-list" appearance="standard">
                        <mat-label>Repayment Terms</mat-label>
                        <input type="tel" matInput formControlName="repaymentMonth" (keyup)="validateMonth(i, 'repaymentMonth')" placeholder="Months" required autocomplete="off" />
                      </mat-form-field>
                      <div class="remove-action">
                        <button type="reset" mat-mini-fab class="add-remove-item remove" (click)="removeSelection(i)">-</button>
                      </div>
                    </li>
                </ul>
            </div>
            <div class="add-action">
                <span><button mat-mini-fab (click)="addSelection()">+</button></span> <span class="text-btn">Add
                  Transaction</span>
              </div>
              <div class="button-grp">
                <button class="button button-primary" mat-button [disabled]="!cashAdvanceFormGroup.valid || selectionArr.controls.length === 0" (click)="onSubmitForm()">Submit</button>
              </div>
        </form>
    </mat-card>
</section>
<mat-card class="table-container">
  <h6>Cash Advance History</h6>
  <div class="mat-elevation-z0">
    <table mat-table [dataSource]="dataSource">

      <!-- Payroll Year Column -->
      <ng-container matColumnDef="pk">
        <th mat-header-cell *matHeaderCellDef> Entry ID </th>
        <td mat-cell *matCellDef="let element"> {{element.pk}} </td>
      </ng-container>

      <!-- Process Name Column -->
      <ng-container matColumnDef="requestedMonth">
        <th mat-header-cell *matHeaderCellDef> Requested Month </th>
        <td mat-cell *matCellDef="let element"> {{element.requestedMonth}} </td>
      </ng-container>

      <!-- Status Column -->
      <ng-container matColumnDef="repaymentMonth">
        <th mat-header-cell *matHeaderCellDef> Repayment Month </th>
        <td mat-cell *matCellDef="let element"> {{element.repaymentMonth}} </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>

    <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
  </div>
</mat-card>